import React from 'react';
import { View, Map, Marker } from '@tarojs/components';
import iconPath from '@/assets/icons/marker.png';
import style from './style.module.less';

export default (props) => {
  const { location = '' } = props;
  const {lng, lat} = location.split(',');

  const markers = React.useMemo(() => {
    if (lng == undefined || lat == undefined) return [];
  
    return [{
      longitude: lng - 0,
      latitude: lat - 0,
      iconPath,
      width: 50,
      height: 58
    }];
  }, [lng, lat]);
  
  return (
    <View className={style['map-wrapper']}>
      <Map
        longitude={lng}
        latitude={lat}
        markers={markers}
      ></Map>
    </View>
  )
}
