import React from 'react';
import Taro from '@tarojs/taro';
import { Image } from '@tarojs/components';
import { Tabbar, TabbarItem } from '@antmjs/vantui';
import homeIcon from '@/assets/tabbar/page.png';
import homeActiveIcon from '@/assets/tabbar/page click.png';
import noticeIcon from '@/assets/tabbar/notice.png';
import noticeActiveIcon from '@/assets/tabbar/notice click.png';
import issueIcon from '@/assets/tabbar/release.png';
import issueActiveIcon from '@/assets/tabbar/release click.png';
import checkIcon from '@/assets/tabbar/evaluation.png';
import checkActiveIcon from '@/assets/tabbar/evaluation click.png';
import mineIcon from '@/assets/tabbar/my.png';
import mineActiveIcon from '@/assets/tabbar/my click.png';

const tabPages = {
  home: '/pages/home/index',
  notice: '/pages/index3/index',
  issue: '/pages/issue/add/index',
  check: '/pages/index4/index',
  mine: '/pages/index5/index',
}

export default (props) => {
  const { active = -1, className } = props;

  const onChange = (e) => {
    Taro.reLaunch({
      url: tabPages[e.detail]
    })
  }

  return (
    <Tabbar
      activeColor="#1A7565"
      className={className}
      active={active}
      onChange={onChange}
    >
      <TabbarItem
        name="home"
        renderIcon={
          <Image
            src={homeIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
        renderIconActive={
          <Image
            src={homeActiveIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
      >
        首页
      </TabbarItem>
      <TabbarItem
        name="notice"
        renderIcon={
          <Image
            src={noticeIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
        renderIconActive={
          <Image
            src={noticeActiveIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
      >
        公告
      </TabbarItem>
      <TabbarItem
        name="issue"
        renderIcon={
          <Image
            src={issueIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
        renderIconActive={
          <Image
            src={issueActiveIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
      >
        发布
      </TabbarItem>
      <TabbarItem
        name="check"
        renderIcon={
          <Image
            src={checkIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
        renderIconActive={
          <Image
            src={checkActiveIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
      >
        测评标准
      </TabbarItem>
      <TabbarItem
        name="mine"
        renderIcon={
          <Image
            src={mineIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
        renderIconActive={
          <Image
            src={mineActiveIcon}
            mode="aspectFit"
            style="width: 30px; height: 18px;"
          ></Image>
        }
      >
        我的
      </TabbarItem>
    </Tabbar>
  )
}
